Skip to main content
GET
/
api
/
v1
/
agents
List default agents
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/agents
{
  "total_agents": 123,
  "agents": [
    {
      "description": "<string>",
      "has_dynamic_tools": true,
      "id": "<string>",
      "name": "<string>",
      "tags": [
        "<string>"
      ],
      "tools_count": 123,
      "type": "native",
      "tools": [
        "<string>"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

type
enum<string>
default:native

Filter by agent type

Available options:
native,
user,
all

Response

List of agents

total_agents
integer
required
agents
object[]